@echo off

setlocal enableextensions
cd /d %~dp0
if exist jtm\init.cmd pushd . && goto init
if exist ..\jtm\init.cmd pushd .. & goto init
goto :eof

:init
call jtm\init.cmd
goto start_tomcat_service

:start_tomcat_service
cls
echo =========================================================================
echo 请不要关闭本窗口，否则将会导致安装产生错误。
echo 系统正在自动配置超级IIS，这需要一些时间，请耐心等待...
echo 程序执行完毕后，将自动关闭本窗口。
echo =========================================================================
if not exist "jtm\netstat.exe" echo jtm\netstat.exe 不存在. & pause & exit
if not exist "jtm\tasklist.exe" echo jtm\tasklist.exe 不存在. & pause & exit
%java% CheckPort "%jtm_path%\jtm\netstat.exe" "%jtm_path%\jtm\tasklist.exe" "%tomcat_port%"
if errorlevel 1 pause & echo. & goto end
set CATALINA_HOME=%jtm_path%\%tomcat_dir%
set JAVA_HOME=%jtm_path%\%jdk_dir%
pushd %tomcat_dir%
bin\service.bat install %tomcat_service_name% & net start %tomcat_service_name%
pause
goto end